%define name logilab-astng
%define version 0.16.3
%define release alt1

%setup_python_module %name

Summary: extend python's abstract syntax tree
Name: %packagename
Version: %version
Release: %release
Source0: %modulename-%version.tar.gz
License: GPL
Group: Development/Python
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Sylvain Thenault <sylvain.thenault@logilab.fr>
Packager: Andrey Khavryuchenko <akhavr@altlinux.org>
Url: http://www.logilab.org/project/name/logilab-astng

%add_python_req_skip logilab

%description
The aim of this module is to provide a common base representation of
python source code for projects such as pychecker, pyreverse,
pylint... Well, actually the development of this library is essentialy
governed by pylint's needs.

It extends class defined in the compiler.ast [1] module with some
additional methods and attributes. Instance attributes are added by a
builder object, which can either generate extended ast (let's call
them astng ;) by visiting an existant ast tree or by inspecting living
object. Methods are added by monkey patching ast classes.

This module is build for python %__python_version

%package -n python-module-%modulename-test
Summary: extend python's abstract syntax tree
Group: Development/Python
Prefix: %{_prefix}
Requires: python-module-%modulename = %version

%description -n python-module-%modulename-test
The aim of this module is to provide a common base representation of
python source code for projects such as pychecker, pyreverse,
pylint... Well, actually the development of this library is essentialy
governed by pylint's needs.

It extends class defined in the compiler.ast [1] module with some
additional methods and attributes. Instance attributes are added by a
builder object, which can either generate extended ast (let's call
them astng ;) by visiting an existant ast tree or by inspecting living
object. Methods are added by monkey patching ast classes.

This module is build for python %__python_version.

Install python-module-%modulename-test if you need unit tests for this module

%prep
%setup -q -n %modulename-%version

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES

grep test INSTALLED_FILES > INSTALLED_TESTS
grep -v test INSTALLED_FILES > INSTALLED_FILES2

%files -f INSTALLED_FILES2
%doc ChangeLog README 

%files -n python-module-%modulename-test -f INSTALLED_TESTS

%changelog
* Wed Dec 6 2006 Andrey Khavryuchenko <akhavr@altlinux.org> 0.16.3-alt1
- Initial build for ALT Linux
